BuildRequires: jakarta-commons-cli
BuildRequires: /proc
BuildRequires: jpackage-1.4-compat
# Copyright (c) 2000-2005, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define gcj_support 0

%define	Name		OpenORB

Name:		openorb
Version:	1.4.0
Release:	alt2_2jpp1.7
Epoch:		0
Summary:	Java CORBA Object Request Broker
License:	BSD
Group:		Development/Java
Source0:	%{Name}-%{version}-src.tgz
Source1:	Tools-%{version}-src.tgz
Patch0:		%{name}-build.patch
Url:		http://openorb.exolab.org/
BuildRequires: ant
BuildRequires: jpackage-utils >= 0:1.6
BuildRequires: excalibur-avalon-framework-api
BuildRequires: excalibur-avalon-framework-impl
BuildRequires: excalibur-avalon-logkit
BuildRequires: excalibur-configuration
Requires: excalibur-avalon-framework-api
Requires: excalibur-avalon-framework-impl
Requires: excalibur-avalon-logkit
Requires: excalibur-configuration
%if %{gcj_support}
BuildRequires: java-gcj-compat-devel
Requires(post): java-gcj-compat
Requires(postun): java-gcj-compat
%endif
%if ! %{gcj_support}
BuildArch:      noarch
%endif

%description
OpenORB is a CORBA Object Request Broker fully developed in
Java. It fully complies with the CORBA 2.4.2 specification and 
provides a lot of features, services and extensions.

%package javadoc
Group:		Development/Documentation
Summary:	Javadoc for %{name}

%description javadoc
%{summary}.

%package manual
Group:		Development/Documentation
Summary:	Documents for %{name}

%description manual
%{summary}.

%prep
%setup -q -n %{Name}
gzip -dc %{SOURCE1} | tar xf -
%patch0 -b .sav
#find . -name "*.java" -exec perl -p -i -e 's|assert|myAssert|g;' {} \;
# remove all binary libs
for j in $(find . -name "*.jar"); do
	mv $j $j.no
done

%build
export CLASSPATH=$(build-classpath \
commons-cli \
excalibur/avalon-framework-api \
excalibur/avalon-framework-impl \
excalibur/avalon-logkit \
excalibur/excalibur-configuration \
)
CLASSPATH=$CLASSPATH:tools/lib/tools-1.4.0.jar
CLASSPATH=$CLASSPATH:tools/lib/launcher.jar

ant \
	-DVERSION_MAJOR=1 \
	-DVERSION_MINOR=4 \
	-DVERSION_MINOR_CHANGE=0 \
	-Dbuild.compiler=modern \
	-buildfile src/build.xml \
	jar doc

%install
# jar
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 lib/%{name}_orb-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
install -m 644 lib/%{name}_orb_tools-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-tools-%{version}.jar
install -m 644 lib/endorsed/%{name}_orb_omg-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-omg-%{version}.jar
install -m 644 tools/lib/tools-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/tools-%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}.jar; do ln -sf ${jar} ${jar/-%{version}/}; done)

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/omg
cp -pr doc/javadoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr doc/javadoc-omg/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/omg
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

# manual
install -d -m 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -pr doc/*.html $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -pr doc/html_img $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

%if %{gcj_support}
%{_bindir}/aot-compile-rpm
%endif

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
    rm -f %{_javadocdir}/%{name}
fi

%if %{gcj_support}
%post
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%postun
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%files
%doc LICENSE.txt README
%{_javadir}/*
%if %{gcj_support}
%dir %{_libdir}/gcj/%{name}
%{_libdir}/gcj/%{name}/%{name}-%{version}.jar.*
%{_libdir}/gcj/%{name}/%{name}-tools-%{version}.jar.*
%{_libdir}/gcj/%{name}/%{name}-omg-%{version}.jar.*
%{_libdir}/gcj/%{name}/tools-%{name}-%{version}.jar.*
%endif


%files javadoc
%{_javadocdir}/%{name}-%{version}
%ghost %{_javadocdir}/%{name}

%files manual
%{_docdir}/%{name}-%{version}

%changelog
* Tue Nov 13 2007 Igor Vlasenko <viy@altlinux.ru> 0:1.4.0-alt2_2jpp1.7
- require new commons-cli

* Sun Oct 28 2007 Igor Vlasenko <viy@altlinux.ru> 0:1.4.0-alt1_2jpp1.7
- converted from JPackage by jppimport script

